"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logs = exports.SelectLogs = void 0;
const pino = require("pino");
const production_1 = require("./production");
const LogsFluent_1 = require("./LogsFluent");
// 'fatal', 'error', 'warn', 'info', 'debug', 'trace' or 'silent'
/**
 *  Metodo para seleccionar el control de logs que corresponda
 */
function SelectLogs() {
    if (process.env.LOGS_FLUENT) {
        return new LogsFluent_1.default();
    }
    else {
        return pino({
            level: production_1.default ? "error" : "info",
            prettyPrint: true,
        });
    }
}
exports.SelectLogs = SelectLogs;
exports.logs = SelectLogs();
// Enviar el control de logs asignado
exports.default = SelectLogs();
